Update project
PATCH
/api/v1/projects/{id}
Authentication
Bearer Token API Key (cookie: better-auth.session_token)
Path Parameters
id
string
required
path
Request Body
application/jsonname
string
url
string (uri)
viewport
string
Enum:
desktop, mobile, tabletrefresh_schedule
string
Enum:
manual, daily, weekly, on-deployResponses
200
Project updated
application/jsonid
string
REQUIRED
user_id
string
REQUIRED
name
string
REQUIRED
url
string
REQUIRED
viewport
string
REQUIRED
refresh_schedule
string
REQUIRED
webhook_secret
string | null
REQUIRED
signing_secret
string
Returned only on project creation. Store it server-side and rotate if exposed.
created_at
string
REQUIRED
updated_at
string
REQUIRED
demo_count
number
400
Validation error
404
Not found
curl -X PATCH 'https://littledemo.com/api/v1/projects/string' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "url": "https://example.com", "viewport": "desktop", "refresh_schedule": "manual"}'
const response = await fetch('https://littledemo.com/api/v1/projects/string', { method: 'PATCH', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "string", "url": "https://example.com", "viewport": "desktop", "refresh_schedule": "manual" })});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.patch('https://littledemo.com/api/v1/projects/string', headers=headers, json={ "name": "string", "url": "https://example.com", "viewport": "desktop", "refresh_schedule": "manual"})print(response.json())
200
Response
{ "id": "<string>", "user_id": "<string>", "name": "<string>", "url": "<string>", "viewport": "<string>", "refresh_schedule": "<string>", "webhook_secret": "<string>", "signing_secret": "<string>", "created_at": "<string>", "updated_at": "<string>", "demo_count": 123}
API Playground
Try this endpoint
PATCH
/api/v1/projects/{id}